import { AgentType, IAgentInstanceInfo, IInfoBuilder, ITagInfo, IToolInfo, Technology } from "./agent-events-conracts";
import { AgentConfig } from "../config";
import bunyan = require("bunyan");
export declare class AgentInstanceInfoBuilder implements IInfoBuilder<IAgentInstanceInfo> {
    static readonly DEFAULT_BROWSER_AGENT_VERSION: string;
    static readonly SEALIGHTS_WINDOW_OBJECT: string;
    private agentConfig;
    private info;
    private agentId;
    private agentType;
    private tags;
    private tools;
    private sendsPing;
    private logger;
    private technology;
    constructor(agentConfig: AgentConfig, agentId: string, agentType: AgentType, tags: ITagInfo[], tools: IToolInfo[], sendsPing: boolean, technology: Technology, logger: bunyan);
    fillData(): void;
    build(): IAgentInstanceInfo;
    private fillFromAgentConfig;
    private fillFromProcessObject;
    private extractSealightsEnvVars;
    private resolveAgentVersion;
    private resolveAgentVersionForBrowserAgent;
}
